---
include:
  - definitions/plan-templates/storage/storage.yml

storage_block_tier1:
  extends: [.release-stbkr-runner, .storage_block_tier1, .kernel_matrix, .overrides]

storage_dm_crypt:
  extends: [.release-stbkr-runner, .storage_dm_crypt, .kernel_matrix, .overrides]

.storage_iscsi_base:
  extends: [.release-tft-runner, .kernel_matrix, .overrides]
  variables:
    TFT_CONTEXT: 'distro=rhel-9.7'

storage_iscsi_local:
  extends: [.storage_iscsi_base, .storage_iscsi_local]

storage_iscsi_be2iscsi:
  extends: [.storage_iscsi_base, .storage_iscsi_be2iscsi]

storage_iscsi_bnx2i:
  extends: [.storage_iscsi_base, .storage_iscsi_bnx2i]

storage_iscsi_cxgb4i:
  extends: [.storage_iscsi_base, .storage_iscsi_cxgb4i]

storage_iscsi_intel:
  extends: [.storage_iscsi_base, .storage_iscsi_intel]

storage_iscsi_qedi:
  extends: [.storage_iscsi_base, .storage_iscsi_qedi]
